=== debian/changelog ===
morph-browser (1.1.2+dfsg-3) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Feb 2025 11:47:29 +0100

morph-browser (1.1.2+dfsg-2) unstable; urgency=medium

  * debian/{control,rules}:
    + Add bin:pkg morph-webapp-container.
  * debian/patches:
    + Add 1001_namespace-fixes-for-webapp.patch. Use better namespacing for the
      webapp-container binaries.
  * debian/morph-webapp-container.install:
    + Adjust to namespacing changes for webapp-container.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jan 2025 10:25:03 +0100

morph-browser (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2003_test-waiting-adjust-to-slow-archs.patch. Problem solved in
      latest upstream release.
  * debian/copyright:
    + Update copyright attributions for debian/.
  * debian/rules:
    + Stop ignoring test failures on mips64el architecture.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jan 2025 09:53:12 +0100
