=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Skip tests on mips64el. The QmlTests crash with segmentation fault at various
# places which makes one guess that there is something odd going on with the
# QmlTest test suite... No deeper motivation to hunt this down on an architecture
# where Lomiri et al. will probably never used on.
testskip_architectures :=

BUILDHOME=/tmp/home

%:
	dh $@

apparmor:
	aa-easyprof -m ./debian/morph-browser-apparmor.manifest --no-verify | \
	egrep -v '(# Click packages|CLICK_DIR)' | \
	sed 's/@{APP_PKGNAME}_@{APP_APPNAME}_@{APP_VERSION}/@{APP_PKGNAME}/g' | \
	sed 's#/run/shm/\.org\.chromium\.Chromium\.\*#/{dev,run}/shm/.org.chromium.Chromium.*#g' | \
	egrep -v 'deny /run/udev/data/\*\* r,' | \
	sed 's#^}$$#\n  /sys/class/ r,\n  /sys/class/input/ r,\n  /run/udev/data/** r,\n}#g' | \
	egrep -v '^\s*deny /dev/ r,\s*$$' | \
	sed 's#^\(\s*\)deny\(\s\+/{run,dev}/shm/pulse-shm\*\s\+w,\).*$$#\1owner\2#g' | \
	sed 's#^}$$#\n  /dev/dri/ r,\n  /sys/devices/pci[0-9]*/**/config r,\n}#g' | \
	sed 's#^}$$#\n  @{HOME}/@{XDG_DOWNLOAD_DIR}/** rwk,\n}#g' \
	> ./debian/usr.bin.morph-browser
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	apparmor_parser -QTK ./debian/usr.bin.morph-browser
endif

override_dh_install: # apparmor
	mv debian/tmp/usr/share/doc/morph-web debian/tmp/usr/share/doc/qml-module-morph-web
	rmdir debian/tmp/usr/share/doc/qml-module-morph-web/html/images

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdeb:
#	dh_apparmor --profile-name=usr.bin.morph-browser -pmorph-browser
	dh_installdeb

override_dh_clean:
	dh_clean
	rm -rf $(BUILDHOME)

override_dh_auto_test:
	mkdir -p $(BUILDHOME)
ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
	HOME=$(BUILDHOME) dh_auto_test --no-parallel -- ARGS+=-VV
else
	# FIXME: Temporarily ignore unit test failures on testskip_architectures
	-HOME=$(BUILDHOME) dh_auto_test --no-parallel -- ARGS+=-VV
endif

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
