## morph-browser 1.2.0~git20250813.1ca2aa7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,27 @@
 find_package(Gettext REQUIRED)
 
 option(CLICK_MODE "Build as a click package" off)
+option(WERROR "Enable -Werror" off)
+option(ENABLE_QT6 "Enable building with Qt6" OFF)
+
+if (ENABLE_QT6)
+    set(QT_VERSION_MAJOR 6)
+else()
+    set(QT_VERSION_MAJOR 5)
+endif()
+
+find_package(QT NAMES Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Qml Quick Svg Test Widgets Sql Network Concurrent DBus WebEngineCore)
+
+# if qt6
+if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS REQUIRED WebEngineCore WebEngineQuick WebEngineWidgets WebEngineQuickDelegatesQml Core5Compat)
+else()
+    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS REQUIRED WebEngineCore WebEngine)
+endif()
+
+include(FindPkgConfig)
+pkg_check_modules(LIBAPPARMOR libapparmor REQUIRED)
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -37,14 +58,16 @@
     ENABLE_COVERAGE_REPORT(EXCLUDES tests/*|.*moc_.*.cpp FILTER tests/* moc_*.cpp)
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
+
+if(WERROR)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+endif()
 
 # enable QML debugging
 if(CMAKE_BUILD_TYPE MATCHES DEBUG OR CMAKE_BUILD_TYPE MATCHES "Debug")
     add_definitions(-DQT_QML_DEBUG)
 endif()
-
-include(qt5)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -62,7 +85,7 @@
 add_subdirectory(src)
 
 enable_testing()
-add_subdirectory(tests)
+#add_subdirectory(tests)
 
 # make non compiled files (QML, JS, images, etc.) visible in QtCreator
 file(GLOB NON_COMPILED_ROOT *.png .gitignore COPYING README snapcraft.yaml)
