=== tests/unittests/CMakeLists.txt ===
add_subdirectory(sanity)
add_subdirectory(qml)
add_subdirectory(domain-utils)
add_subdirectory(history-model)
add_subdirectory(history-domain-model)
add_subdirectory(history-domainlist-model)
add_subdirectory(history-lastvisitdatelist-model)
add_subdirectory(session-utils)
add_subdirectory(tabs-model)
add_subdirectory(bookmarks-model)
add_subdirectory(bookmarks-folder-model)
add_subdirectory(bookmarks-folderlist-model)
add_subdirectory(limit-proxy-model)
add_subdirectory(container-url-patterns)
add_subdirectory(cookie-store)
add_subdirectory(oxide-cookie-helper)
add_subdirectory(session-storage)
add_subdirectory(favicon-fetcher)
add_subdirectory(webapp-container-hook)
add_subdirectory(intent-filter)
add_subdirectory(search-engine)
add_subdirectory(text-search-filter-model)
add_subdirectory(downloads-model)
add_subdirectory(single-instance-manager)
add_subdirectory(meminfo)
add_subdirectory(webapp-container-color-helper)
add_subdirectory(url-utils)
