=== src/app/webbrowser/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,4 @@
 project(webbrowser-app)
-
-find_package(Qt5Concurrent REQUIRED)
-find_package(Qt5Sql REQUIRED)
 
 include_directories(
     ${CMAKE_BINARY_DIR}
@@ -26,9 +23,10 @@
 
 add_library(${WEBBROWSER_APP_MODELS} STATIC ${WEBBROWSER_APP_MODELS_SRC})
 target_link_libraries(${WEBBROWSER_APP_MODELS}
-    Qt5::Core
-    Qt5::Sql
-#    Qt5::WebEngine
+    Qt::Core
+    Qt::Sql
+    Qt::CorePrivate
+    Qt::NetworkPrivate
 )
 
 set(WEBBROWSER_APP_SRC
@@ -41,10 +39,10 @@
 
 add_executable(${WEBBROWSER_APP} ${WEBBROWSER_APP_SRC})
 target_link_libraries(${WEBBROWSER_APP}
-    Qt5::Concurrent
-    Qt5::Core
-    Qt5::Qml
-    Qt5::Quick
+    Qt::Concurrent
+    Qt::Core
+    Qt::Qml
+    Qt::Quick
     ${COMMONLIB}
     ${WEBBROWSER_APP_MODELS}
 )
@@ -52,8 +50,7 @@
 install(TARGETS ${WEBBROWSER_APP}
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
-file(GLOB QML_FILES *.qml qmldir *.js)
-install(FILES ${QML_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/morph-browser/webbrowser)
+install(DIRECTORY qml-qt${QT_VERSION_MAJOR}/ DESTINATION ${CMAKE_INSTALL_DATADIR}/morph-browser/webbrowser)
 
 install(DIRECTORY assets
         DESTINATION ${CMAKE_INSTALL_DATADIR}/morph-browser/webbrowser
