=== debian/changelog ===
morph-browser (1.2.0~git20250813.1ca2aa7+dfsg-1~exp1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release preview / Git snapshot.
  * debian/:
    + Build Morph Browser against Qt5 and Qt6 and provide two builds.
  * debian/patches:
    + Drop /0001_fix-is-not-supported-css-selector.patch. Not accepted upstream,
      problem solved on the GitLab side.
    + Rebase 2001_skip-Ubuntu-compat-QML.patch.
  * debian/{rules,watch}:
    + Adjust to building an upstream Git snapshot.
  * debian/copyright:
    + Update Files-Excluded:. Don't include UBports' debian/ folder.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update FSF mailing address.
  * debian/:
    + Ship apparmor configuration.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In B-D, switch from pkg-config to pkgconf. Thanks, lintian.
    + Assure that morph-browser-qt6 has qml6-module-lomiri-content (>= 2.2.0~).
  * lintian: Adjust no-manual-page overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Sep 2025 13:50:50 +0200
