=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                cmake,
 #               apparmor-easyprof,
                debhelper-compat (= 13),
-#               dh-apparmor,
+               dh-apparmor,
                libapparmor-dev,
                libqt5sql5-sqlite,
+               libqt5svg5-dev,
                lsb-release,
-               pkg-config,
+               pkgconf,
                python3-all:any,
                python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native,
                qml-module-qt-labs-folderlistmodel,
@@ -28,12 +29,32 @@
                qml-module-lomiri-components-extras,
                qtbase5-dev (>= 5.4),
                qtbase5-dev-tools,
+               qtbase5-private-dev,
                qtdeclarative5-dev,
                qttools5-dev-tools,
                qtwebengine5-dev,
+               qml6-module-qt-labs-folderlistmodel,
+               qml6-module-qt-labs-settings,
+               qml6-module-qtquick,
+               qml6-module-qtquick-controls,
+               qml6-module-qtquick-layouts,
+               qml6-module-lomiri-systeminfo,
+               qml6-module-qttest,
+               qml6-module-qtwebengine,
+               qml6-module-lomiri-components,
+               qml6-module-lomiri-components-extras,
+               qml6-module-lomiri-test,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-svg-dev,
+               qt6-5compat-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev,
+               qt6-webengine-dev,
+               qt6-documentation-tools | qdoc-qt6,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/morph-browser
 Vcs-Browser: https://salsa.debian.org/ubports-team/morph-browser
@@ -61,7 +82,7 @@
          qml-module-lomiri-action,
 Provides: www-browser
 Description: Web Browser for Lomiri
- Lightweight web browser tailored for Lomiri, based on the Qt WebEngine
+ Lightweight web browser tailored for Lomiri, based on the Qt 6 WebEngine
  and using the Lomiri UI components.
 
 Package: morph-webapp-container
@@ -81,9 +102,9 @@
          qml-module-lomiri-action,
          qml-module-lomiri-onlineaccounts-client,
          morph-browser (= ${binary:Version}),
-Description: Morph web applications container
+Description: Morph web applications container (Qt 5 variant)
  Lightweight webapp container tailored for Lomiri, based on the
- Qt WebEngine and using the Lomiri UI components.
+ Qt 5 WebEngine and using the Lomiri UI components.
 
 Package: qml-module-morph-web
 Architecture: any
@@ -95,9 +116,11 @@
          qml-module-qtquick2 (>= 5.4),
          qml-module-qtquick-window2 (>= 5.3),
          qml-module-lomiri-components,
-Description: Morph web QML module
+Description: Qt 5 variant Morph web QML module
  Standalone QML module that contains the WebView component,
  in the Morph.Web namespace.
+ .
+ This is the Qt 5 variant of the QML module.
 
 Package: qml-module-morph-web-doc
 Section: doc
@@ -108,3 +131,69 @@
  A standalone QML module that contains the WebView component,
  in the Morph.Web namespace. This package contains the public
  HTML documentation.
+
+Package: morph-browser-qt6
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         fonts-liberation,
+         libqt6sql6-sqlite,
+         libqt6webenginecore6,
+         libqt6webengine6-data,
+         qml6-module-qt-labs-folderlistmodel,
+         qml6-module-qt-labs-settings,
+         qml6-module-qtqml-workerscript,
+         qml6-module-qtquick,
+         qml6-module-qtquick-controls,
+         qml6-module-qtquick-layouts,
+         qml6-module-lomiri-systeminfo,
+         qml6-module-morph-web (= ${binary:Version}),
+         qml6-module-lomiri-content (>= 2.2.0~),
+         qml6-module-lomiri-components,
+         qml6-module-lomiri-components-extras,
+         qml6-module-lomiri-action,
+         qml6-module-qtquick-templates,
+Conflicts: webbrowser-app, morph-browser
+Provides: webbrowser-app
+Description: Web Browser for Ubuntu Touch (Qt 6 variant)
+ Lightweight web browser tailored for Ubuntu Touch, based on the Qt 6 WebEngine
+ and using the Lomiri UI components.
+
+#Package: morph-webapp-container-qt6
+#Architecture: any
+#Multi-Arch: foreign
+#Depends: ${misc:Depends},
+#         ${shlibs:Depends},
+#         fonts-liberation,
+#         libqt6sql6-sqlite
+#         libqt6webenginecore6,
+#         libqt6webengine6-data,
+#         qml6-module-qtquick,
+#         qml6-module-qtquick-controls,
+#         qml6-module-sso-onlineaccounts,
+#         qml6-module-morph-web (= ${binary:Version}),
+#         qml6-module-lomiri-content,
+#         qml6-module-lomiri-components,
+#         qml6-module-lomiri-action,
+#         qml-module-lomiri-onlineaccounts-client,
+#         morph-browser-qt6 (= ${binary:Version}),
+#Description: Morph web applications container (Qt 6 variant)
+# A lightweight webapp container tailored for Ubuntu Touch, based on the
+# Qt 6 WebEngine and using the Lomiri UI components.
+
+Package: qml6-module-morph-web
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         qml6-module-qtwebengine,
+         qml6-module-qtquick,
+         qml6-module-qtquick-controls,
+         qml6-module-lomiri-components,
+Description: Qt 6 variant of the Morph web QML module
+ A standalone QML module that contains the WebView component,
+ in the Morph.Web namespace.
+ .
+ This is the Qt 6 variant of the QML module.
