=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.2.0~git%cd.%h, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/core/morph-browser.git heads/personal/gberh/qt6 debian uupdate
